6.0.0-git
2019-04-21

[#11135] Default forward as "Edit as new" in IMP
Summary Default forward as "Edit as new" in IMP
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester lfbm.andamentos (at) gmail (dot) com
Created 2012-04-08 (2569 days ago)
Due
Updated 2012-08-29 (2426 days ago)
Assigned
Resolved 2012-04-09 (2568 days ago)
Milestone
Patch No

History
2012-08-29 12:36:04 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 03e167237811b8aa2f2e1df0b180e2ebe093c3f6
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 9 13:24:24 2012 -0600

     [mms] Allow Edit As New to be used as the default forward action 
(Request #11135).

  imp/compose-dimp.php         |    1 +
  imp/config/prefs.php         |    3 ++-
  imp/docs/CHANGES             |    2 ++
  imp/docs/UPGRADING           |    2 ++
  imp/lib/Ajax/Application.php |    1 +
  imp/lib/Compose.php          |   21 +++++++++++++--------
  6 files changed, 21 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/03e167237811b8aa2f2e1df0b180e2ebe093c3f6
2012-04-09 19:25:26 Michael Slusarz Comment #6
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Added to IMP 6.
2012-04-09 19:24:54 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (develop):

commit 03e167237811b8aa2f2e1df0b180e2ebe093c3f6
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 9 13:24:24 2012 -0600

     [mms] Allow Edit As New to be used as the default forward action 
(Request #11135).

  imp/compose-dimp.php         |    1 +
  imp/config/prefs.php         |    3 ++-
  imp/docs/CHANGES             |    2 ++
  imp/docs/UPGRADING           |    2 ++
  imp/lib/Ajax/Application.php |    1 +
  imp/lib/Compose.php          |   21 +++++++++++++--------
  6 files changed, 21 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/03e167237811b8aa2f2e1df0b180e2ebe093c3f6
2012-04-09 16:14:13 Michael Slusarz Comment #4 Reply to this comment
I should perhaps have pointed out that those big names also provide 
the body of the previous email in the body text and the attachments 
as attachments which can be added to or removed individually.
As has been discussed **multiple** times on the various lists, this 
will NEVER happen in IMP because it is, at best, badly broken behavior 
and, at worst, dangerous.
2012-04-08 06:24:59 alex (at) maymay (dot) de Comment #3 Reply to this comment

[Show Quoted Text - 19 lines]
I should perhaps have pointed out that those big names also provide 
the body of the previous email in the body text and the attachments as 
attachments which can be added to or removed individually. This 
combination seems to be missing in Horde where you can have one 
without the other, but not both.
2012-04-08 06:22:00 alex (at) maymay (dot) de Comment #2 Reply to this comment

[Show Quoted Text - 11 lines]
It would be even better if we could have a default action which 
mirrored the approach of the big names in email clients like outlook, 
outlook express and blackberry.

They not only allow editing, but they include the previous email's 
headers so that the forward is a forward and not an edit as new.

2012-04-08 00:47:53 lfbm (dot) andamentos (at) gmail (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Default forward as "Edit as new" in IMP
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
It would be very nice if IMP could accept "Edit as new" as default 
behavior for forwarding msgs.

Related mailing lists posts:

http://marc.info/?l=horde&m=133007248229805&w=2

http://marc.info/?l=horde&m=133032646925532&w=2

http://marc.info/?l=imp&m=133382489229797&w=2

Saved Queries